Support Questions
Find answers, ask questions, and share your expertise

Installing solar on hdp 2.5 sanbox

hi,

i am installing solar in hdp 2.5 sandbox using ambari. it give the fowlloing error

11-19 13:55:40,838 - Checking if need to create versioned conf dir /etc/hadoop/2.5.0.0-1245/0
2017-11-19 13:55:40,839 - call[('ambari-python-wrap', '/usr/bin/conf-select', 'create-conf-dir', '--package', 'hadoop', '--stack-version', '2.5.0.0-1245', '--conf-version', '0')] {'logoutput': False, 'sudo': True, 'quiet': False, 'stderr': -1}
2017-11-19 13:55:40,910 - call returned (1, '/etc/hadoop/2.5.0.0-1245/0 exist already', '')
2017-11-19 13:55:40,911 - checked_call[('ambari-python-wrap', '/usr/bin/conf-select', 'set-conf-dir', '--package', 'hadoop', '--stack-version', '2.5.0.0-1245', '--conf-version', '0')] {'logoutput': False, 'sudo': True, 'quiet': False}
2017-11-19 13:55:40,938 - checked_call returned (0, '')
2017-11-19 13:55:40,939 - Ensuring that hadoop has the correct symlink structure
2017-11-19 13:55:40,939 - Using hadoop conf dir: /usr/hdp/current/hadoop-client/conf
2017-11-19 13:55:41,123 - Version 2.5.0.0-1245 was provided as effective cluster version.  Using package version 2_5_0_0_1245
2017-11-19 13:55:41,125 - Package['lucidworks-hdpsearch'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2017-11-19 13:55:43,216 - Installing package lucidworks-hdpsearch ('/usr/bin/yum -d 0 -e 0 -y install lucidworks-hdpsearch')

Command failed after 1 tries

i have seen one solution in the below link, but cannot fix it.

https://community.hortonworks.com/questions/65919/solr-install-fails-on-hdp-25-sandbox.html?childToV...

i dont know what to change in the repository so ti fix the issue.

can somebody guide me with this issue please?

i am following this tutorial

https://hortonworks.com/tutorial/analyzing-social-media-and-customer-sentiment-with-apache-nifi-and-...

thank you.

1 REPLY 1

@Muhammad idrees

Before following the suggestion in the post you listed, I would suggest considering updating to the latest HDP sandbox. It's currently at HDP 2.6.3. If you do, then installing Solr is walked through here: https://docs.hortonworks.com/HDPDocuments/HDP2/HDP-2.6.3/bk_solr-search-installation/content/ch_hdp-...

If you want to stick with HDP 2.5, then the fix suggested in the post you listed is to edit the file: /var/lib/ambari-server/resources/stacks/HDP/2.5/repos/repoinfo.xml and remove the "-centos6" from the different entries.

Let me know how it goes.